## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: argbash
Version: 2.10.0
Release: %autorelease
Summary: Bash argument parsing code generator
# Automatically converted from old format: BSD - review is highly recommended.
License: LicenseRef-Callaway-BSD
URL: https://argbash.dev
Source0: https://github.com/matejak/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: autoconf
BuildRequires: coreutils
BuildRequires: make
BuildRequires: bash
BuildRequires: bash-completion
BuildRequires: python%{python3_pkgversion}-docutils

%if 0%{?fedora} >= 27
BuildRequires: ShellCheck
%endif

Requires: autoconf
Requires: bash
Requires: coreutils
Requires: grep
Requires: sed

%if !0%{?rhel} || 0%{?rhel} > 7
Recommends: bash-completion
%endif

# Submitted upstream: https://github.com/matejak/argbash/pull/177
Patch: 0001-Disable-shellcheck-warnings.patch
Patch: 0002-Fix-typos-in-README.md.patch
Patch: 0003-Properly-quote-filepath-when-sourcing.patch
Patch: 0004-Move-website-from-argbash.io-to-argbash.dev.patch
Patch: 0005-Fixes-typos.patch


%description
Argbash helps your shell scripts to accept arguments.
You declare what arguments you want your script to accept and Argbash
generates the shell code that parses them from the command-line and exposes
passed values as shell variables.

Help message is also generated, and helpful error messages are dispatched
if the script is called with arguments that conflict with the interface.

%prep
%autosetup -p1

%build

%install
cd resources && \
    ROOT=%{buildroot} \
    PREFIX=%{_prefix} \
    PREFIXED_LIBDIR=%{_datarootdir} \
    SYSCONFDIR=%{_sysconfdir} \
    INSTALL_COMPLETION=yes \
    BASH_COMPLETION_DIRECTORY=%{_datarootdir}/bash-completion/completions \
    make install

%check
cd resources && %{make_build} check

%files
%license LICENSE
%doc README.md ChangeLog
%{_mandir}/man1/argbash*

%{_bindir}/argbash
%{_bindir}/argbash-1to2
%{_bindir}/argbash-init
%{_datarootdir}/argbash/
%{_datarootdir}/bash-completion/completions/argbash

%changelog
## START: Generated by rpmautospec
* Fri Apr 04 2025 Marcelo dos Santos Mafra <msmafra@gmail.com> - 2.10.0-20
- Updated argbash site URL

* Wed Mar 12 2025 Stephen Gallagher <sgallagh@redhat.com> - 2.10.0-19
- Remove vestigial package.cfg

* Wed Mar 12 2025 Stephen Gallagher <sgallagh@redhat.com> - 2.10.0-18
- Update documentation

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 2.10.0-16
- convert license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 26 2024 Stephen Gallagher <sgallagh@redhat.com> - 2.10.0-14
- Update package.cfg

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Stephen Gallagher <sgallagh@redhat.com> - 2.10.0-10
- Fix ShellCheck test failure

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 23 2020 Stephen Gallagher <sgallagh@redhat.com> - 2.10.0-1
- Update to 2.10.0
- Bugfixes
  * argbash-init is able to handle empty string as the only argument without
    being puzzled.
  * Error handling of script working directory detection now more robust.
- New features
  * Argbash in the container has no longer the terminal output limitation
    caused by the crlf line ending.
  * The ARG_USE_PROG implementation was missing. Therefore, it was implemented
    as ARG_USE_PROGRAM using a slightly different interface.

* Mon Aug 03 2020 Stephen Gallagher <sgallagh@redhat.com> - 2.9.0-2
- Build for epel8 as well

* Mon Aug 03 2020 Stephen Gallagher <sgallagh@redhat.com> - 2.9.0-1
- Update to 2.9.0
- Bugfixes
  * Fixed typo in `argbash-init` and updated obsolete/inaccurate hints
  * Fixed incorrect permission of non-script output files
  * Increased MacOS compatibility by removing terminator from the `chmod`
    invocation
- New Features
  * Increased flexibility of the help option
  * Improved `argbash-init` script template
  * Increased flexibility of the version option
  * Added a convenience function for module loading
  * Added a possibility to the `argbash` tool to generate the script in-place,
    exposed as the `-i` option

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jul 01 2019 Stephen Gallagher <sgallagh@redhat.com> - 2.8.1-2
- Fix python package version to work with EPEL 7

* Mon Jul 01 2019 Stephen Gallagher <sgallagh@redhat.com> - 2.8.1-1
- Update to 2.8.1
- https://github.com/matejak/argbash/releases/tag/2.8.1

* Thu Feb 28 2019 Stephen Gallagher <sgallagh@redhat.com> - 2.8.0-3
- Put the bash completion script in the system path instead of /etc

* Mon Feb 04 2019 Stephen Gallagher <sgallagh@redhat.com> - 2.8.0-1
- Update to 2.8.0
- New features:
  * Allow argbash and argbash-init to be run from symbolic links.
  * Allow scripts generated by argbash-init with complete separation (-s -s) to
    be run from a symbolic link.
  * Implemented output to generate manpages using the rst2man utility
  * Introduced the ARG_VERSION_AUTO macro.
- Bugfixes:
  * Double quotes in help messages are escaped (fixes #61).
  * Fixed regression that allowed duplicate short options (fixes #58).

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Sep 20 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.7.1-1
- Update to 2.7.1
- The bash completion now supports arguments of one-of-restricted values.
- Tests pass when there is no dash shell installed.
- The double-dash handling when -- is the last argument has been improved.
- The generated bash completion is now complementing (i.e. not shadowing) the
  default bash completion.
- Docopt fatal regression has been fixed.
- Tests were added for docopt output.

* Thu Jul 19 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.7.0-1
- Update to 2.7.0
- https://github.com/matejak/argbash/releases/tag/2.7.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Mar 05 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.1-2
- Fix build issue on Fedora 26

* Mon Mar 05 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.1-1
- Update to 2.6.1
- Drop upstreamed patches

* Fri Mar 02 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.6.0-1
- Update to 2.6.0
- Add bash-completion support

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 10 2018 Stephen Gallagher <sgallagh@redhat.com> - 2.5.1-1
- Update to 2.5.1
- https://github.com/matejak/argbash/releases/tag/2.5.1

* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-1
- Official Fedora release

* Mon Oct 16 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.5.0-0.3
- Update to 2.5.0
- Move common files to /usr/share
- Add requirements on grep and sed

* Tue May 30 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.2
- Restore arch-independent path for argbash support files

* Wed May 24 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.4.0-0.1
- Update to the 2.4.0 release
- Correct issues discovered in package review

* Wed Mar 08 2017 Stephen Gallagher <sgallagh@redhat.com> - 2.3.0-0.2
- Initial package


## END: Generated by rpmautospec
